/**
 * Created by Li Tao on 2017-08-04.
 */

$(function () {
    formatPublishTime();
});

function formatPublishTime() {
    var publishTime = $("#publishTime").text();
    var currentDate = new Date();
    var currentYear = currentDate.getFullYear();
    var publishTimeStart = publishTime.indexOf(currentYear);
    if (publishTimeStart == 0) {
        var showTime = publishTime.replace(currentYear + '-', "");
    } else if (publishTimeStart == -1) {
        var showTime = publishTime;
    }
    $("#publishTime").text(showTime);
}

$('#ding').on('click', function () {
    var thatId = $(this).attr("data-id");
    var thatType = $(this).attr("data-type");
    var thatNum = parseInt(thatId);
    var thatTypeNum = parseInt(thatType);

    var object = {"id": thatNum, "type": thatTypeNum};
    var objStr = JSON.stringify(object);

    if (/(iPhone|iPad|iPod|iOS)/i.test(navigator.userAgent)) {
        var finallyStr = encodeURIComponent(objStr);
        window.location.href = 'ding://' + finallyStr;
    } else {
        window.location.href = 'ding://' + objStr;
    }

});

$('#details').on('click', function () {
    var thatId = $(this).attr("data-id");
    var thatType = $(this).attr("data-type");
    var thatNum = parseInt(thatId);
    var thatTypeNum = parseInt(thatType);


    var object = {"tagId": thatNum, "tagType": thatTypeNum};
    var objStr = JSON.stringify(object);

    if (/(iPhone|iPad|iPod|iOS)/i.test(navigator.userAgent)) {
        var finallyStr = encodeURIComponent(objStr);
        window.location.href = 'ding://' + finallyStr;
    } else {
        window.location.href = 'ding://' + objStr;
    }
});

$('#focus').on('click', function (e) {
    e.stopPropagation();
    var thatId = parseInt($(this).attr("data-id"));
    if ($('.eb_company_ding').length != 0) {
        //现在是已关注状态1,要改为0
        var object = {"userId": thatId, "state": 0};
    } else {
        var object = {"userId": thatId, "state": 1};
    }
    var objStr = JSON.stringify(object);
    if (/(iPhone|iPad|iPod|iOS)/i.test(navigator.userAgent)) {
        var finallyStr = encodeURIComponent(objStr);
        window.location.href = 'focus://' + finallyStr;
    } else {
        window.location.href = 'focus://' + objStr;
    }
});

$('.eb_company').on('click', function () {
    var thatId = parseInt($(this).attr("data-id"));
    if ($('.eb_company_ding').length != 0) {
        //现在是已关注状态1,要改为0
        var object = {"ebrun": thatId};
    } else {
        var object = {"ebrun": thatId};
    }
    var objStr = JSON.stringify(object);
    if (/(iPhone|iPad|iPod|iOS)/i.test(navigator.userAgent)) {
        var finallyStr = encodeURIComponent(objStr);
        window.location.href = 'focus://' + finallyStr;
    } else {
        window.location.href = 'focus://' + objStr;
    }
});

function setFocusState(num) {
    if (num == '1') {
        $('#focus').addClass('eb_company_ding');
        $('#focus').html('已关注')
    } else if (num == '0') {
        $('#focus').removeClass('eb_company_ding');
        $('#focus').html('关注')
    }
}

//setFocusState(1);  //调用亿邦号的关注状态。1为要关注，0为取消关注

function subscibe(num) {
    if (num == '1') {
        //当前未订阅
        $('#ding').parent().addClass('subscibe');
        $('#ding').html('已订阅')
    } else if (num == '0') {
        $('#ding').html('订阅')
        $('#ding').parent().removeClass('subscibe');
    }
}

//subscibe('1') //调用的方法

//改变字体大小的函数
function font(size) {
    switch (size) {
        case 'small':
            $('body').removeClass('fontBig').removeClass('fontMiddle').addClass('fontSmall')
            break;
        case 'middle':
            $('body').removeClass('fontBig').removeClass('fontSmall').addClass('fontMiddle')

            break;
        case 'big':
            $('body').removeClass('fontSmall').removeClass('fontMiddle').addClass('fontBig')

            break;
    }
}

//font('big');
